#
# spec file for package grfcodec
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           grfcodec
Version:        6.0.6+39
Release:        bp156.3.7
Summary:        A suite of programs to modify Transport Tycoon Deluxe's GRF files
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://github.com/OpenTTD/grfcodec
Source:         %{name}-%{version}.tar.xz
Patch0:         grfcodec-cmake-install.patch
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel >= 1.36
%endif
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  libpng-devel
Provides:       nforenum = %{version}
Obsoletes:      nforenum < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A suite of programs to modify Transport Tycoon Deluxe's GRF files.
Contains GRFCodec for encoding and decoding the actual GRF files,
GRFDiff and GRFMerge for making and applying patches for GRF files,
GRFID for extracting the (unique) NewGRF identifier and NFORenum,
a format correcter and linter for the NFO language. NFO and PCX
or PNG files are encoded to form GRF files.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%defattr(-,root,root,-)
%{_bindir}/grfcodec
%{_bindir}/grfid
%{_bindir}/grfstrip
%{_bindir}/nforenum

%changelog
* Mon Jul 19 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to git master, 6.0.6+39: Fix build with GCC 11
- Drop bb692b2c723c5e87cc8f89f445928e97594d5b8f.patch: included in
  the update.
- Add grfcodec-cmake-install.patch: enable make install.
- This now only installs the bare minimum, but the package seems
  only used by openttd anyway, so good enough.
* Tue Feb 16 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Add bb692b2c723c5e87cc8f89f445928e97594d5b8f.patch: Do not use
  uint for command id. Fixes build with gcc 10.
- Switch source and url tags to github, where this code now lives.
* Wed Feb  1 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Thu Jun 30 2016 rpm@fthiessen.de
- Update to 6.0.6
  * Fixes build with GCC6.
- Changed spec to build with optflags
* Sat Jun 14 2014 mailaender@opensuse.org
- update to 6.0.4
* Sun Feb 17 2013 suse@ammler.ch
- update to 6.0.2 (bugfix release)
* Tue Sep 25 2012 suse@ammler.ch
- update to 6.0.1 (bugfix release)
* Thu Mar  8 2012 suse@ammler.ch
- update to 6.0.0
  - NFO version 32 for supporting GRF container version 2
  - GRF container version 2 with bigger sprites and multiple
    images (bit depth and zoom level) for real sprites
  - GRFID now has a command line option to create the (OpenTTD)
    MD5 checksum of a NewGRF. For GRF container version 2 NewGRFs
    this means the MD5 checksum of the header and data sections.
  - GRFCodec: Command line option -n that determines the best compression
    for sprites during compilation. This could improve compression
  - NFORenum: some data file updates
* Thu Dec 22 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
* Tue Dec 20 2011 ammler@openttdcoop.org
- upstream update 5.1.3
  * nfo v8 support (needed for openttd 1.2)
* Mon Oct 10 2011 ammler@openttdcoop.org
- upstream update 5.1.2
* Sat Mar 19 2011 ammler@openttdcoop.org
- upstream update 5.1.1
  * grfcodec: Make PNG the default output sprite sheet format if
    libpng is found.
  * nforenum: Warn if the palette is not specified via an Action 14.
* Wed Dec 15 2010 ammler@openttdcoop.org
- upstream update 5.1.0
  * new png support requires libpng
  * Fix: group to Development/Tools/Building (rpmlint warning)
* Sun Oct 31 2010 ammler@openttdcoop.org
- upstream update 5.0.0
* Tue Sep 21 2010 ammler@openttdcoop.org
- upstream update 5.0
  * grfcodec provides nforenum
* Sat Aug 14 2010 ammler@openttdcoop.org
- upstream update 1.0
  * new maintainer
* Thu Jul  8 2010 ammler@openttdcoop.org
- new version r167 from hg.openttdcoop.org
- no patches anymore
* Tue Jul  6 2010 ammler@openttdcoop.org
- force openSUSE 11.3 to use gcc43
* Fri Jan 22 2010 ammler@openttdcoop.org
- upstream update
- gcc44 patch not needed anymore
* Wed Dec  9 2009 ammler@openttdcoop.org
- upstream update
- rename package to openttd-devel-grfcodec
* Sun Sep 20 2009 ammler@openttdcoop.org
- compile patch (from fedoraproject.org)
- remove upx (patch)
- using make install
- requires gcc-c++
* Sat May  2 2009 iarnell@gmail.com
- fix license tag (GPLv2+)
- don't pass -O3 to gcc
- doesn't BR subversion
* Fri May  1 2009 iarnell@gmail.com
- initial release
